List variant prices by store group
Retrieves all prices for a product variant grouped by store groups and their associated markets.
GET
/api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}/pricesAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
product_idstringrequiredProduct ID
variant_idstringrequiredVariant ID
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Responses
200
List of store groups with their associated prices and markets
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantStoreGroupWithPrices[]requiredShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantStoreGroupWithPricescreated_atstringidstringnamestringpricesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPrice[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceamount_cents_with_taxintegercreated_atstringidstringmarketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.MarketShow propertiesHide properties
activebooleancountry_codesstring[] | nullcreated_atstringcurrency_codestringidstringlocalestringnamestringslugstringupdated_atstring | nullon_salebooleanreference_price_with_taxinteger | nullsale_end_timestampstring | nullsale_price_with_taxinteger | nullsale_start_timestampstring | nullstatusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatusAllowed:
activeinactivedraftupdated_atstring | nullslugstringstore_typestringupdated_atstring | nullsuccessbooleantotalintegertotal_pagesinteger400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired